######################################################################
# Automatically generated by qmake (1.07a) Fri Nov 19 12:49:44 2004
######################################################################

TARGET=../bin/qcake
TEMPLATE = app
INCLUDEPATH += .
CONFIG += qt warn_on release
TEMPLATE = app

# Input
HEADERS += alsound.h \
           audioenv.h \
           barrier.h \
           tribarrier.h \
           body.h \
           camera.h \
           glcontrol.h \
           globdefines.h \
           guibutton.h \
           guiinput.h \
           guiosbutton.h \
           guitext.h \
           kcakeview.h \
           listviews.h \
           main.h \
           mybarrierdlg.h \
           mybodydlg.h \
           mycameradlg.h \
           mycatalogdlg.h \
           myfiredlg.h \
           myfogdlg.h \
           myguibuttondlg.h \
           myguiinputdlg.h \
           myguiosbuttondlg.h \
           myguitxtdlg.h \
           mylampdlg.h \
           mynetworkdlg.h \
           myobjdlg.h \
           mypartsysdlg.h \
           myplayerdlg.h \
           myprojectdlg.h \
           myspldlg.h \
           myscenedlg.h \
           myskydlg.h \
           mysounddlg.h \
           mywavesysdlg.h \
           myglobaldlg.h\
           myterraindlg.h\
           netclient.h \
           Obstruct.h \
           phthread.h \
           player.h \
           puQT.h \
           qcake.h \
           qcakedoc.h \
           terrain.h \
           copydir.h \
           loadMD2.h \
           usercamera.h \
           astar.h \
           shader.h \
           myshaderdlg.h\
           GLee.h\
           cursor3d.h\
           mycursordlg.h
           
INTERFACES += barrierdlg.ui \
              bodydlg.ui \
              cameradlg.ui \
              catalogdlg.ui \
              default.ui \
              firedlg.ui \
              fogdlg.ui \
              guibuttondlg.ui \
              guiinputdlg.ui \
              guiosbuttondlg.ui \
              guitxtdlg.ui \
              lampdlg.ui \
              networkdlg.ui \
              objdlg.ui \
              partsysdlg.ui \
              playerdlg.ui \
              projectdlg.ui \
              spldlg.ui \
              scenedlg.ui \
              skydlg.ui \
              sounddlg.ui \
              wavesysdlg.ui\
              terraindlg.ui\
	            globaldlg.ui\
              shaderdlg.ui\
              cursordlg.ui
              
SOURCES += alsound.cpp \
           audioenv.cpp \
           barrier.cpp \
           tribarrier.cpp \
           body.cpp \
           camera.cpp \
           glcontrol.cpp \
           guibutton.cpp \
           guiinput.cpp \
           guiosbutton.cpp \
           guitext.cpp \
           kcakeview.cpp \
           listviews.cpp \
           main.cpp \
           mybarrierdlg.cpp \
           mybodydlg.cpp \
           mycameradlg.cpp \
           mycatalogdlg.cpp \
           myfiredlg.cpp \
           myfogdlg.cpp \
           myguibuttondlg.cpp \
           myguiinputdlg.cpp \
           myguiosbuttondlg.cpp \
           myguitxtdlg.cpp \
           mylampdlg.cpp \
           mynetworkdlg.cpp \
           myobjdlg.cpp \
           mypartsysdlg.cpp \
           myplayerdlg.cpp \
           myprojectdlg.cpp \
           myspldlg.cpp \
           myscenedlg.cpp \
           myskydlg.cpp \
           mysounddlg.cpp \
           mywavesysdlg.cpp \
           myglobaldlg.cpp\
           myterraindlg.cpp\
           netclient.cpp \
           phthread.cpp \
           player.cpp \
           spl_prg.cpp \
           qcake.cpp \
           qcakedoc.cpp \
           terrain.cpp \
           copydir.cpp \
           loadMD2.cpp \
           usercamera.cpp \
           astar.cpp \
           shader.cpp \
           myshaderdlg.cpp\
           GLee.c\
           cursor3d.cpp\
           mycursordlg.cpp
           
LIBS +=    -lplibpu \
           -lplibfnt \
           -lplibssg \
           -lplibsg \
           -lplibul \
           -lplibssgaux \
           -lplibjs \
           -lspl \
#	   -lssl \
           -ldl \
           -lpcre \
           /usr/local/lib/libode.a \
#           -lplibsl \
           -lplibnet \
#           -lplibsm \
           -lopenal \
#	   -lalut \
	   -lGL \
# test
#	   -lICE \
#	   -lXi \
#	   -lXmu \
#	   -lXext \
#	   -lX11 \
#	   -lm \
# /test
           -lGLU
